<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">structural_svm_problem_threaded</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>accum_mutex</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>add_nuclear_norm_regularizer</b>(long first_dimension, long rows, long cols, double regularization_strength) (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>be_quiet</b>() (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>be_verbose</b>() (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>C</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>cache</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>cache_based_eps</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>call_separation_oracle_on_all_samples</b>(const matrix_type &amp;w, matrix_type &amp;subgradient, scalar_type &amp;total_loss) const (defined in <a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>clear_nuclear_norm_regularizers</b>() (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>compute_nuclear_norm_parts</b>(const matrix_type &amp;m, matrix_type &amp;grad, scalar_type &amp;obj) const (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>converged</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>count_below_eps</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>eps</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>feature_vector_type</b> typedef (defined in <a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_c</b>() const (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_cache_based_epsilon</b>() const (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_epsilon</b>() const (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_max_cache_size</b>() const (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_max_iterations</b>() const (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_num_dimensions</b>() const =0 (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_num_samples</b>() const =0 (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_num_threads</b>() const (defined in <a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_risk</b>(matrix_type_ &amp;current_solution, scalar_type &amp;risk_value, matrix_type_ &amp;risk_subgradient) const=0 (defined in <a class="el" href="classdlib_1_1oca__problem.html">dlib::oca_problem&lt; matrix_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1oca__problem.html">dlib::oca_problem&lt; matrix_type_ &gt;</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_truth_joint_feature_vector</b>(long idx, feature_vector_type &amp;psi) const =0 (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>matrix_type</b> typedef (defined in <a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>max_cache_size</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>max_iterations</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>nuclear_norm_part</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>nuclear_norm_regularizers</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>num_iterations_executed</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>num_nuclear_norm_regularizers</b>() const (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>optimization_status</b>(scalar_type, scalar_type, scalar_type, scalar_type, unsigned long, unsigned long) const=0 (defined in <a class="el" href="classdlib_1_1oca__problem.html">dlib::oca_problem&lt; matrix_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1oca__problem.html">dlib::oca_problem&lt; matrix_type_ &gt;</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>psi_true</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>risk_has_lower_bound</b>(scalar_type &amp;) const (defined in <a class="el" href="classdlib_1_1oca__problem.html">dlib::oca_problem&lt; matrix_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1oca__problem.html">dlib::oca_problem&lt; matrix_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>saved_current_risk_gap</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>scalar_type</b> typedef (defined in <a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>separation_oracle</b>(const long idx, const matrix_type &amp;current_solution, scalar_type &amp;loss, feature_vector_type &amp;psi) const =0 (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>separation_oracle_cached</b>(const long idx, const matrix_type &amp;current_solution, scalar_type &amp;loss, feature_vector_type &amp;psi) const (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_c</b>(scalar_type C_) (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_cache_based_epsilon</b>(scalar_type eps_) (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_epsilon</b>(scalar_type eps_) (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_max_cache_size</b>(unsigned long max_size) (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_max_iterations</b>(unsigned long max_iter) (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>skip_cache</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>structural_svm_problem</b>() (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>structural_svm_problem_threaded</b>(unsigned long num_threads) (defined in <a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>tp</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>ts</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>verbose</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>with_buffer_time</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>without_buffer_time</b> (defined in <a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix_type_, feature_vector_type_ &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~oca_problem</b>() (defined in <a class="el" href="classdlib_1_1oca__problem.html">dlib::oca_problem&lt; matrix_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1oca__problem.html">dlib::oca_problem&lt; matrix_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
